### Function

# Devhelp application_window_bind_sidebar_and_notebook

since: 3.30

#### Declaration [src]

    void
    dh_application_window_bind_sidebar_and_notebook (
      DhSidebar* sidebar,
      DhNotebook* notebook
    )

#### Description [src]

Binds `sidebar` and `notebook`: - When the `DhSidebar::link-selected` signal is emitted, open the URI in the active `DhWebView`. - On `GtkNotebook::switch-page` or when the user clicks on a link, calls `dh_sidebar_select_uri()` with the new active URI.

You need to call this function when the `DhNotebook` is empty, i.e. before adding the first `DhTab`.

Note that this function doesn’t take a “self” window parameter, to be more flexible: it is possible to have several pairs of `DhSidebar`/`DhNotebook` per window, to show different `DhProfile`‘s.

Available since: 3.30

#### Parameters

`sidebar`

  Type: `DhSidebar`

  A `DhSidebar`.

  The data is owned by the caller of the function.

`notebook`

  Type: `DhNotebook`

  An empty `DhNotebook`.

  The data is owned by the caller of the function.